DinnerNow.net 3.1 for Windows 7 and Server 2008 R2

Rating:        Based on 6 ratings
Reviewed:  4 reviews
Downloads: 19992
Released: Aug 16, 2009
Updated: Aug 17, 2009 by habibh
Dev status: Stable Help Icon

Recommended Download

Source Code DinnerNow-3.1_Setup.msi (18.7 MB)
source code, 19179K, uploaded Aug 17, 2009 - 19992 downloads

Release Notes

The DinnerNow.net 3.1 release focuses primarily on supporting new Microsoft operating systems and technologies. Specifically, it adds support for Windows 7 RTM and Windows Server 2008 R2 RTM as well as 64-bit support.

To learn more about what's new in DinnerNow.net 3.1, please see the following blog post.

Prerequisites for DinnerNow 3.1

DinnerNow.net 3.1 requires the following software in order to run.
  • Visual Studio and .NET Framework
    • Visual Studio 2008 Professional Edition Service Pack 1 OR Visual Studio Team System 2008 Service Pack 1
    • .NET Framework 3.5 Service Pack 1 (32-bit or 64-bit)
  • Supported Operating Systems
    • Windows 7 RTM (32-bit or 64-bit)
    • Windows Vista Service Pack 2 (32-bit or 64-bit)
    • Windows Server 2008 Service Pack 2 (32-bit or 64-bit)
    • Windows Server 2008 R2 RTM (64-bit only)
  • Windows PowerShell 1.0 OR 2.0 (32-bit or 64-bit)
  • SQL Server 2008 Express Edition Service Pack 1 (32-bit or 64-bit)
  • Internet Explorer 8 (32-bit or 64-bit)
  • Windows Mobile 6 Professional SDK Refresh (32-bit or 64-bit) [optional]
  • Windows Mobile Device Center 6.1 for Windows Vista (32-bit or 64-bit) [optional]
  • Power Toys for .NET Compact Framework 3.5 (32-bit or 64-bit) [optional]

Not supported in this release

DinnerNow.net 3.1 has not been tested with the following versions of Windows and/or Visual Studio. However, since the complete source code for DinnerNow.net is available, you are more than welcome to try using DinnerNow.net with these and fix any issues that come up.
  • Windows Server 2003
  • Windows XP
  • SQL Server 2005
  • Internet Explorer 6 or earlier
  • IIS 6 or earlier
  • Visual Studio 2010 Beta 1
If you have any feedback, please use the Discussion board or the Issue Tracker forum links above. I'll do my best to provide a timely response.

Habib Heydarian.

Reviews for this release

     
problem i have installed al requirements and when de config en build tool checks dependecies it gives a comexception error at de sql 2008 express dependecy how do i resolve this
by sojab0on on Dec 12, 2013 at 8:43 AM
     
So I followed the instructions below and made sure I installed all IIS options as the pre-requisite checker does not seem to notify you of missing IIS roles. Once doing so the Distributed app as least runs now. I bumbled my review up from a 1 to a 3. I don't know how feature rich this is supposed to be. I was able to make a user account but can't seem to do much with the thin app.
by BryanHeath on Jan 14, 2013 at 9:39 PM
     
Broken out of the box if you are using tools current to this post. I would list the errors but there were too many.
by DaveCS on Sep 25, 2011 at 4:39 PM
     
In order to make this release work, it required some debugging. Before installation... Open and close each project (sln file) in Visual Studios. It updates component locations in the sln file. MakeCert bug needs some refinement. It doesn't work right. I got it to work but forgot the fix I used but it was simple mod of the Powershell Script by checking the makecert syntaxes.
by sicinthemind on Sep 6, 2010 at 10:19 PM